A delivery day's Fahrplan against the Ist, with reBAP and cost
curl --request GET \
--url https://{host}/v1/mobile/fahrplan-ist \
--header 'X-API-Key: <api-key>'import requests
url = "https://{host}/v1/mobile/fahrplan-ist"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{host}/v1/mobile/fahrplan-ist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/mobile/fahrplan-ist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/mobile/fahrplan-ist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/v1/mobile/fahrplan-ist")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/mobile/fahrplan-ist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"delivery_day": "2023-12-25",
"generated_at": "2023-11-07T05:31:56Z",
"interval_count": 92,
"interval_starts_local": [
"<string>"
],
"home_area": "50Hertz",
"has_plan": true,
"latest_day": "2023-12-25",
"rebap_verfuegbar": true,
"rebap_quelle": [
"pricat"
],
"rebap_quellen": {},
"rebap_prognose": {
"tagtyp": "werktag",
"gleicher_tagtyp": true,
"basis_tage": 123,
"basis_von": "2023-12-25",
"basis_bis": "2023-12-25"
},
"preislisten": [
{
"regelzone": "<string>",
"monat": "<string>",
"empfangen_am": "2023-12-25",
"preise": 123,
"treffer": 123
}
],
"pricat_gelesen": 123,
"spot_eur_mwh": [
123
],
"spot_verfuegbar": true,
"zonen": [
{
"control_area": "50Hertz",
"status": "leer",
"complete": true,
"covered": 123,
"fahrplan_quelle": "gesendet",
"fahrplan_aenderung_mwh": 123,
"plan_mw": [
123
],
"ist_mw": [
123
],
"abweichung_mw": [
123
],
"rebap_eur_mwh": [
123
],
"kosten_eur": [
123
],
"plan_mwh": 123,
"ist_mwh": 123,
"abweichung_mwh": 123,
"kurz_mwh": 123,
"lang_mwh": 123,
"viertelstunden_verglichen": 123,
"kosten_summe_eur": 123,
"kosten_vollstaendig": true,
"kosten_geschaetzt": true,
"kalkulation": {
"spot_kauf_kwh": 123,
"spot_kauf_eur": 123,
"spot_verkauf_kwh": 123,
"spot_verkauf_eur": 123,
"spot_netto_kwh": 123,
"spot_netto_eur": 123,
"spot_preis_ct_kwh": 123,
"ausgleich_kurz_kwh": 123,
"ausgleich_lang_kwh": 123,
"ausgleich_eur": 123,
"ausgleich_ct_kwh": 123,
"ausgleich_geschaetzt": true,
"kunde_kwh": 123,
"kunde_spot_eur": 123,
"kunde_spot_ct_kwh": 123,
"kunde_bezug": "ist",
"gesamtkosten_eur": 123,
"kosten_ct_kwh": 123,
"mehrkosten_eur": 123,
"aufschlag_ct_kwh": 123,
"viertelstunden_ist": 123,
"viertelstunden_fahrplan": 123,
"viertelstunden_ohne_preis": 123,
"vollstaendig": true
},
"kategorien": {
"A": [
123
],
"B": [
123
],
"C": [
123
]
},
"bilanzierungsgebiete": [
{
"bilanzierungsgebiet": "<string>",
"netzbetreiber": "<string>",
"kategorien": [
"A"
],
"ist_consumption_mwh": 123,
"ist_production_mwh": 123,
"covered": 123
}
],
"series": [
{
"kategorie": "A",
"art": "verbrauch",
"zeitreihentyp": "<string>",
"werte": 123
}
]
}
]
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}mobile
A delivery day's Fahrplan against the Ist, with reBAP and cost
The console’s Fahrplan gegen Ist: for Germany (first) and per Regelzone the net Fahrplan as the ÜNB confirmed it, the Ist from the BK-SZR, the deviation (positive: short), the reBAP and what the deviation costs at it, the calculation of the day, the Ist per Kategorie and per Bilanzierungsgebiet. Without the customers’ contractual Aufschlag, revenue and margin; no Zählpunkt. Shared between callers for 5 minutes.
GET
/
v1
/
mobile
/
fahrplan-ist
A delivery day's Fahrplan against the Ist, with reBAP and cost
curl --request GET \
--url https://{host}/v1/mobile/fahrplan-ist \
--header 'X-API-Key: <api-key>'import requests
url = "https://{host}/v1/mobile/fahrplan-ist"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{host}/v1/mobile/fahrplan-ist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/mobile/fahrplan-ist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/mobile/fahrplan-ist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/v1/mobile/fahrplan-ist")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/mobile/fahrplan-ist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"delivery_day": "2023-12-25",
"generated_at": "2023-11-07T05:31:56Z",
"interval_count": 92,
"interval_starts_local": [
"<string>"
],
"home_area": "50Hertz",
"has_plan": true,
"latest_day": "2023-12-25",
"rebap_verfuegbar": true,
"rebap_quelle": [
"pricat"
],
"rebap_quellen": {},
"rebap_prognose": {
"tagtyp": "werktag",
"gleicher_tagtyp": true,
"basis_tage": 123,
"basis_von": "2023-12-25",
"basis_bis": "2023-12-25"
},
"preislisten": [
{
"regelzone": "<string>",
"monat": "<string>",
"empfangen_am": "2023-12-25",
"preise": 123,
"treffer": 123
}
],
"pricat_gelesen": 123,
"spot_eur_mwh": [
123
],
"spot_verfuegbar": true,
"zonen": [
{
"control_area": "50Hertz",
"status": "leer",
"complete": true,
"covered": 123,
"fahrplan_quelle": "gesendet",
"fahrplan_aenderung_mwh": 123,
"plan_mw": [
123
],
"ist_mw": [
123
],
"abweichung_mw": [
123
],
"rebap_eur_mwh": [
123
],
"kosten_eur": [
123
],
"plan_mwh": 123,
"ist_mwh": 123,
"abweichung_mwh": 123,
"kurz_mwh": 123,
"lang_mwh": 123,
"viertelstunden_verglichen": 123,
"kosten_summe_eur": 123,
"kosten_vollstaendig": true,
"kosten_geschaetzt": true,
"kalkulation": {
"spot_kauf_kwh": 123,
"spot_kauf_eur": 123,
"spot_verkauf_kwh": 123,
"spot_verkauf_eur": 123,
"spot_netto_kwh": 123,
"spot_netto_eur": 123,
"spot_preis_ct_kwh": 123,
"ausgleich_kurz_kwh": 123,
"ausgleich_lang_kwh": 123,
"ausgleich_eur": 123,
"ausgleich_ct_kwh": 123,
"ausgleich_geschaetzt": true,
"kunde_kwh": 123,
"kunde_spot_eur": 123,
"kunde_spot_ct_kwh": 123,
"kunde_bezug": "ist",
"gesamtkosten_eur": 123,
"kosten_ct_kwh": 123,
"mehrkosten_eur": 123,
"aufschlag_ct_kwh": 123,
"viertelstunden_ist": 123,
"viertelstunden_fahrplan": 123,
"viertelstunden_ohne_preis": 123,
"vollstaendig": true
},
"kategorien": {
"A": [
123
],
"B": [
123
],
"C": [
123
]
},
"bilanzierungsgebiete": [
{
"bilanzierungsgebiet": "<string>",
"netzbetreiber": "<string>",
"kategorien": [
"A"
],
"ist_consumption_mwh": 123,
"ist_production_mwh": 123,
"covered": 123
}
],
"series": [
{
"kategorie": "A",
"art": "verbrauch",
"zeitreihentyp": "<string>",
"werte": 123
}
]
}
]
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}{
"error": "unauthorized"
}Authorizations
Query Parameters
the delivery day, default yesterday; from 120 days back to the forecast horizon (T+4)
Response
Successful Response
Available options:
92, 96, 100 Available options:
50Hertz, Amprion, TenneT, TransnetBW as in plan-ist
a settled reBAP for some quarter-hour
Available options:
pricat, netztransparenz, berechnet, schaetzer, prognose Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
EPEX day-ahead
Germany first, then the Regelzonen
Show child attributes
Show child attributes